diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/tcp/tcp-ecn-example.cc ns-3.47/examples/tcp/tcp-ecn-example.cc
--- ns-3.46/examples/tcp/tcp-ecn-example.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.47/examples/tcp/tcp-ecn-example.cc	2026-02-16 16:08:49.560229800 -0800
@@ -0,0 +1,322 @@
+/*
+ * Copyright (c) 2025 NITK Surathkal
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * Authors: N Nagabhushanam    <thechosentwins2005@gmail.com>
+ *          Namburi Yaswanth   <yaswanthnamburi1010@gmail.com>
+ *          Vishruth S Kumar   <vishruthskumar@gmail.com>
+ *          Yashas             <yashas80dj@gmail.com>
+ *          Mohit P. Tahiliani <tahiliani@nitk.edu.in>
+ */
+
+// This program simulates the following topology:
+//
+//           1000 Mbps           10Mbps          1000 Mbps
+//  Sender -------------- R1 -------------- R2 -------------- Receiver
+//              5ms               10ms               5ms
+//
+// This topology is the same as the topology present in tcp-bbr-example.
+// The link between R1 and R2 is a bottleneck link with 10 Mbps. All other
+// links are 1000 Mbps.
+//
+// This program runs by default for 100 seconds and creates a new directory
+// called 'ecn-results' in the ns-3 root directory. The program creates one
+// sub-directory called 'pcap' in 'ecn-results' directory (if pcap generation
+// is enabled) and three .dat files.
+//
+// (1) 'pcap' sub-directory contains six PCAP files:
+//     * ecn-0-0.pcap for the interface on Sender
+//     * ecn-1-0.pcap for the interface on Receiver
+//     * ecn-2-0.pcap for the first interface on R1
+//     * ecn-2-1.pcap for the second interface on R1
+//     * ecn-3-0.pcap for the first interface on R2
+//     * ecn-3-1.pcap for the second interface on R2
+// (2) cwnd.dat file contains congestion window trace for the sender node
+// (3) throughput.dat file contains sender side throughput trace (throughput is in Mbit/s)
+// (4) queueSize.dat file contains queue length trace from the bottleneck link
+//
+// ABE (Alternative Backoff with ECN) modifies the traditional TCP response to
+// ECN (Explicit Congestion Notification) markings. While ECN signals
+// congestion before queue overflows, standard TCP still reduces its congestion
+// window aggressively (by 30% in TcpCubic) upon receiving these marks.
+//
+// ABE improves upon this by backing off less aggressively when ECN marks are
+// received, typically reducing the window (by 15% in TcpCubic instead). This results in
+// better throughput and faster recovery in high-bandwidth, ECN-enabled networks.
+
+#include "ns3/applications-module.h"
+#include "ns3/core-module.h"
+#include "ns3/flow-monitor-module.h"
+#include "ns3/internet-module.h"
+#include "ns3/network-module.h"
+#include "ns3/point-to-point-module.h"
+#include "ns3/traffic-control-module.h"
+
+#include <filesystem>
+
+using namespace ns3;
+using namespace ns3::SystemPath;
+
+std::string dir;          //!< The directory where the output files will be stored
+std::ofstream throughput; //!< The stream where the throughput will be stored
+std::ofstream queueSize;  //!< The stream where the queue size will be stored
+
+uint32_t prev = 0; //!< Previous transmitted bytes
+Time prevTime;     //!< Previous time for throughput calculation
+
+/**
+ * Traces the throughput of the flow monitor.
+ * @param monitor The flow monitor to trace.
+ */
+static void
+TraceThroughput(Ptr<FlowMonitor> monitor)
+{
+    FlowMonitor::FlowStatsContainer stats = monitor->GetFlowStats();
+    if (!stats.empty())
+    {
+        auto itr = stats.begin();
+        Time curTime = Now();
+
+        // Convert (curTime - prevTime) to microseconds so that throughput is in bits per
+        // microsecond (which is equivalent to Mbps)
+        throughput << curTime.GetSeconds() << "s "
+                   << 8 * (itr->second.txBytes - prev) / ((curTime - prevTime).ToDouble(Time::US))
+                   << " Mbps" << std::endl;
+        prevTime = curTime;
+        prev = itr->second.txBytes;
+    }
+    Simulator::Schedule(Seconds(0.2), &TraceThroughput, monitor);
+}
+
+/**
+ * Checks the queue size of the queue discipline.
+ * @param qd The queue discipline to check.
+ */
+void
+CheckQueueSize(Ptr<QueueDisc> qd)
+{
+    uint32_t qsize = qd->GetCurrentSize().GetValue();
+    Simulator::Schedule(Seconds(0.2), &CheckQueueSize, qd);
+    queueSize << Simulator::Now().GetSeconds() << " " << qsize << std::endl;
+}
+
+/**
+ * Writes the cWnd to the output stream.
+ * @param stream The output stream to write to.
+ * @param oldval The old congestion window value.
+ * @param newval The new congestion window value.
+ */
+static void
+CwndTracer(Ptr<OutputStreamWrapper> stream, uint32_t oldval, uint32_t newval)
+{
+    *stream->GetStream() << Simulator::Now().GetSeconds() << " " << newval / 1448.0 << std::endl;
+}
+
+/**
+ * Traces the congestion window of the socket.
+ * @param nodeId The node ID of the socket.
+ * @param socketId The socket ID of the socket.
+ */
+void
+TraceCwnd(uint32_t nodeId, uint32_t socketId)
+{
+    AsciiTraceHelper ascii;
+    Ptr<OutputStreamWrapper> stream = ascii.CreateFileStream(dir + "/cwnd.dat");
+    Config::ConnectWithoutContext("/NodeList/" + std::to_string(nodeId) +
+                                      "/$ns3::TcpL4Protocol/SocketList/" +
+                                      std::to_string(socketId) + "/CongestionWindow",
+                                  MakeBoundCallback(&CwndTracer, stream));
+}
+
+int
+main(int argc, char* argv[])
+{
+    // Naming the output directory using local system time
+    time_t rawtime;
+    struct tm* timeinfo;
+    char buffer[80];
+    time(&rawtime);
+    timeinfo = localtime(&rawtime);
+    strftime(buffer, sizeof(buffer), "%d-%m-%Y-%I-%M-%S", timeinfo);
+    std::string currentTime(buffer);
+
+    std::string tcpTypeId = "TcpCubic";
+    uint32_t delAckCount = 2;
+    bool bql = true;
+    bool enablePcap = false;
+    bool useEcn = true;
+    bool useAbe = false;
+    Time stopTime = Seconds(100);
+
+    CommandLine cmd(__FILE__);
+    cmd.AddValue("tcpTypeId",
+                 "Transport protocol to use: TcpNewReno,TcpCubic, TcpLinuxReno",
+                 tcpTypeId);
+    cmd.AddValue("delAckCount", "Delayed ACK count", delAckCount);
+    cmd.AddValue("enablePcap", "Enable/Disable pcap file generation", enablePcap);
+    cmd.AddValue("useEcn", "Enable/Disable ECN", useEcn);
+    cmd.AddValue("useAbe", "Enable/Disable ABE", useAbe);
+    cmd.AddValue("stopTime",
+                 "Stop time for applications / simulation time will be stopTime + 1",
+                 stopTime);
+    cmd.Parse(argc, argv);
+
+    if (tcpTypeId.find("ns3::") == std::string::npos)
+    {
+        tcpTypeId = "ns3::" + tcpTypeId;
+    }
+
+    Config::SetDefault("ns3::TcpL4Protocol::SocketType", StringValue(tcpTypeId));
+
+    // The maximum send buffer size is set to 4194304 bytes (4MB) and the
+    // maximum receive buffer size is set to 6291456 bytes (6MB) in the Linux
+    // kernel. The same buffer sizes are used as default in this example.
+    Config::SetDefault("ns3::TcpSocket::SndBufSize", UintegerValue(4194304));
+    Config::SetDefault("ns3::TcpSocket::RcvBufSize", UintegerValue(6291456));
+    Config::SetDefault("ns3::TcpSocket::InitialCwnd", UintegerValue(10));
+    Config::SetDefault("ns3::TcpSocket::DelAckCount", UintegerValue(delAckCount));
+    Config::SetDefault("ns3::TcpSocket::SegmentSize", UintegerValue(1448));
+    Config::SetDefault("ns3::DropTailQueue<Packet>::MaxSize", QueueSizeValue(QueueSize("1p")));
+
+    // AQM
+    std::string queueDisc = "ns3::CoDelQueueDisc";
+    std::string bottleNeckLinkBw = "10Mbps";
+    std::string bottleNeckLinkDelay = "10ms";
+
+    // CoDel parameters
+    Config::SetDefault("ns3::CoDelQueueDisc::MaxSize", QueueSizeValue(QueueSize("1000p")));
+    Config::SetDefault("ns3::CoDelQueueDisc::Interval", TimeValue(MilliSeconds(100)));
+    Config::SetDefault("ns3::CoDelQueueDisc::Target", TimeValue(MilliSeconds(5)));
+    Config::SetDefault("ns3::CoDelQueueDisc::UseEcn", BooleanValue(true));
+
+    if (useAbe)
+    {
+        Config::SetDefault("ns3::TcpSocketBase::UseAbe", BooleanValue(true));
+    }
+    if (useEcn)
+    {
+        Config::SetDefault("ns3::TcpSocketBase::UseEcn", EnumValue(TcpSocketState::On));
+    }
+
+    NodeContainer sender;
+    NodeContainer receiver;
+    NodeContainer routers;
+    sender.Create(1);
+    receiver.Create(1);
+    routers.Create(2);
+
+    // Create the point-to-point link helpers
+    PointToPointHelper bottleneckLink;
+    bottleneckLink.SetDeviceAttribute("DataRate", StringValue("10Mbps"));
+    bottleneckLink.SetChannelAttribute("Delay", StringValue("10ms"));
+
+    PointToPointHelper edgeLink;
+    edgeLink.SetDeviceAttribute("DataRate", StringValue("1000Mbps"));
+    edgeLink.SetChannelAttribute("Delay", StringValue("5ms"));
+
+    // Create NetDevice containers
+    NetDeviceContainer senderEdge = edgeLink.Install(sender.Get(0), routers.Get(0));
+    NetDeviceContainer r1r2 = bottleneckLink.Install(routers.Get(0), routers.Get(1));
+    NetDeviceContainer receiverEdge = edgeLink.Install(routers.Get(1), receiver.Get(0));
+
+    // Install Stack
+    InternetStackHelper internet;
+    internet.Install(sender);
+    internet.Install(receiver);
+    internet.Install(routers);
+
+    // Configure the root queue discipline
+    TrafficControlHelper tch;
+    tch.SetRootQueueDisc(queueDisc);
+
+    if (bql)
+    {
+        tch.SetQueueLimits("ns3::DynamicQueueLimits", "HoldTime", StringValue("1000ms"));
+    }
+    tch.Install(senderEdge);
+    tch.Install(receiverEdge);
+
+    // Assign IP addresses
+    Ipv4AddressHelper ipv4;
+    ipv4.SetBase("10.0.0.0", "255.255.255.0");
+
+    Ipv4InterfaceContainer i1i2 = ipv4.Assign(r1r2);
+
+    ipv4.NewNetwork();
+    Ipv4InterfaceContainer is1 = ipv4.Assign(senderEdge);
+
+    ipv4.NewNetwork();
+    Ipv4InterfaceContainer ir1 = ipv4.Assign(receiverEdge);
+
+    // Populate routing tables
+    Ipv4GlobalRoutingHelper::PopulateRoutingTables();
+
+    // Select sender side port
+    uint16_t port = 50001;
+
+    // Install application on the sender
+    BulkSendHelper source("ns3::TcpSocketFactory", InetSocketAddress(ir1.GetAddress(1), port));
+    source.SetAttribute("MaxBytes", UintegerValue(0));
+    ApplicationContainer sourceApps = source.Install(sender.Get(0));
+    sourceApps.Start(Seconds(0.1));
+    // Hook trace source after application starts
+    Simulator::Schedule(Seconds(0.1) + MilliSeconds(1), &TraceCwnd, 0, 0);
+    sourceApps.Stop(stopTime);
+
+    // Install application on the receiver
+    PacketSinkHelper sink("ns3::TcpSocketFactory", InetSocketAddress(Ipv4Address::GetAny(), port));
+    ApplicationContainer sinkApps = sink.Install(receiver.Get(0));
+    sinkApps.Start(Seconds(0));
+    sinkApps.Stop(stopTime);
+    // Create a new directory to store the output of the program
+    dir = "ecn-results/" + currentTime + "/";
+    MakeDirectories(dir);
+
+    // The plotting scripts are provided in the following repository, if needed:
+    // https://github.com/mohittahiliani/BBR-Validation/
+    //
+    // Download 'PlotScripts' directory (which is inside ns-3 scripts directory)
+    // from the link given above and place it in the ns-3 root directory.
+    // Uncomment the following three lines to copy plot scripts for
+    // Congestion Window, sender side throughput and queue occupancy on the
+    // bottleneck link into the output directory.
+    //
+    // std::filesystem::copy("PlotScripts/gnuplotScriptCwnd", dir);
+    // std::filesystem::copy("PlotScripts/gnuplotScriptThroughput", dir);
+    // std::filesystem::copy("PlotScripts/gnuplotScriptQueueSize", dir);
+
+    // Trace the queue occupancy on the second interface of R1
+    tch.Uninstall(routers.Get(0)->GetDevice(1));
+    QueueDiscContainer qd;
+    qd = tch.Install(routers.Get(0)->GetDevice(1));
+    Simulator::ScheduleNow(&CheckQueueSize, qd.Get(0));
+
+    // Generate PCAP traces if it is enabled
+    if (enablePcap)
+    {
+        MakeDirectories(dir + "pcap/");
+        bottleneckLink.EnablePcapAll(dir + "/pcap/ecn", true);
+    }
+
+    // Open files for writing throughput traces and queue size
+    throughput.open(dir + "/throughput.dat", std::ios::out);
+    queueSize.open(dir + "/queueSize.dat", std::ios::out);
+
+    NS_ASSERT_MSG(throughput.is_open(), "Throughput file was not opened correctly");
+    NS_ASSERT_MSG(queueSize.is_open(), "Queue size file was not opened correctly");
+
+    // Check for dropped packets using Flow Monitor
+    FlowMonitorHelper flowmon;
+    Ptr<FlowMonitor> monitor = flowmon.InstallAll();
+    Simulator::ScheduleNow(&TraceThroughput, monitor);
+
+    Simulator::Stop(stopTime + TimeStep(1));
+    Simulator::Run();
+    Simulator::Destroy();
+
+    throughput.close();
+    queueSize.close();
+
+    return 0;
+}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/tcp/tcp-linux-reno.cc ns-3.47/examples/tcp/tcp-linux-reno.cc
--- ns-3.46/examples/tcp/tcp-linux-reno.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/tcp/tcp-linux-reno.cc	2026-02-16 16:08:49.560229800 -0800
@@ -118,7 +118,7 @@
     uint32_t delAckCount = 1;
     std::string recovery = "ns3::TcpClassicRecovery";
 
-    CommandLine cmd;
+    CommandLine cmd(__FILE__);
     cmd.AddValue("tcpTypeId",
                  "TCP variant to use (e.g., ns3::TcpNewReno, ns3::TcpLinuxReno, etc.)",
                  tcpTypeId);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/examples-to-run.py ns-3.47/examples/wireless/examples-to-run.py
--- ns-3.46/examples/wireless/examples-to-run.py	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/examples-to-run.py	2026-02-16 16:08:49.562229600 -0800
@@ -235,7 +235,7 @@
         "True",
     ),
     (
-        "wifi-simple-ht-hidden-stations --simulationTime=1s --enableRts=1 --nMpdus=32 --minExpectedThroughput=57 --maxExpectedThroughput=58",
+        "wifi-simple-ht-hidden-stations --simulationTime=1s --enableRts=1 --nMpdus=32 --minExpectedThroughput=56 --maxExpectedThroughput=57",
         "True",
         "True",
     ),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/mixed-wired-wireless.py ns-3.47/examples/wireless/mixed-wired-wireless.py
--- ns-3.46/examples/wireless/mixed-wired-wireless.py	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/mixed-wired-wireless.py	2026-02-16 16:08:49.562229600 -0800
@@ -332,13 +332,11 @@
     )
     appSink = ns.NodeList.GetNode(lastNodeIndex)
 
-    ns.cppyy.cppdef(
-        """
+    ns.cppyy.cppdef("""
         Ipv4Address getIpv4AddressFromNode(Ptr<Node> node){
         return node->GetObject<Ipv4>()->GetAddress(1,0).GetLocal();
         }
-    """
-    )
+    """)
     # Let's fetch the IP address of the last node, which is on Ipv4Interface 1
     remoteAddr = ns.cppyy.gbl.getIpv4AddressFromNode(appSink)
     socketAddr = ns.InetSocketAddress(remoteAddr, port)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/wifi-adhoc.cc ns-3.47/examples/wireless/wifi-adhoc.cc
--- ns-3.46/examples/wireless/wifi-adhoc.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/wifi-adhoc.cc	2026-02-16 16:08:49.562229600 -0800
@@ -21,10 +21,20 @@
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/yans-wifi-helper.h"
 
+/**
+ * @file
+ * @ingroup wifi
+ * Adhoc example
+ */
+
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("Wifi-Adhoc");
 
+/** Unnamed namespace, to disambiguate class Experiment. */
+namespace
+{
+
 /**
  * WiFi adhoc experiment class.
  *
@@ -198,6 +208,8 @@
     return m_output;
 }
 
+} // unnamed namespace
+
 int
 main(int argc, char* argv[])
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/wifi-ap.py ns-3.47/examples/wireless/wifi-ap.py
--- ns-3.46/examples/wireless/wifi-ap.py	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/wifi-ap.py	2026-02-16 16:08:49.562229600 -0800
@@ -66,8 +66,7 @@
 #   std::cout << " start="<<start<<" duration="<<duration<<std::endl;
 # }
 
-ns.cppyy.cppdef(
-    """
+ns.cppyy.cppdef("""
     using namespace ns3;
     void AdvancePosition(Ptr<Node> node){
         Ptr<MobilityModel> mob = node->GetObject<MobilityModel>();
@@ -77,8 +76,7 @@
             return;
         mob->SetPosition(pos);
         Simulator::Schedule(Seconds(1), AdvancePosition, node);
-    }"""
-)
+    }""")
 
 
 def main(argv):
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/wifi-clear-channel-cmu.cc ns-3.47/examples/wireless/wifi-clear-channel-cmu.cc
--- ns-3.46/examples/wireless/wifi-clear-channel-cmu.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/wifi-clear-channel-cmu.cc	2026-02-16 16:08:49.562229600 -0800
@@ -19,10 +19,20 @@
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/yans-wifi-helper.h"
 
+/**
+ * @file
+ * @ingroup wifi
+ * Clear channel example
+ */
+
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("ClearChannelCmu");
 
+/** Unnamed namespace, to disambiguate class Experiment. */
+namespace
+{
+
 /**
  * WiFi clear channel cmu experiment class.
  *
@@ -97,14 +107,14 @@
     m_output.SetStyle(Gnuplot2dDataset::LINES);
 }
 
-void
+[[maybe_unused]] void
 Experiment::SetPosition(Ptr<Node> node, Vector position)
 {
     Ptr<MobilityModel> mobility = node->GetObject<MobilityModel>();
     mobility->SetPosition(position);
 }
 
-Vector
+[[maybe_unused]] Vector
 Experiment::GetPosition(Ptr<Node> node)
 {
     Ptr<MobilityModel> mobility = node->GetObject<MobilityModel>();
@@ -211,6 +221,8 @@
     return m_pktsTotal;
 }
 
+} // unnamed namespace
+
 int
 main(int argc, char* argv[])
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/wifi-mixed-network.cc ns-3.47/examples/wireless/wifi-mixed-network.cc
--- ns-3.46/examples/wireless/wifi-mixed-network.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/wifi-mixed-network.cc	2026-02-16 16:08:49.563229800 -0800
@@ -27,27 +27,33 @@
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/yans-wifi-helper.h"
 
-// This example shows how to configure mixed networks (i.e. mixed b/g and HT/non-HT) and how are
-// performance in several scenarios.
-//
-// The example compares first g only and mixed b/g cases with various configurations depending on
-// the following parameters:
-// - protection mode that is configured on the AP;
-// - whether short PPDU format is supported by the 802.11b station;
-// - whether short slot time is supported by both the 802.11g station and the AP.
-//
-// The example then compares HT only and mixed HT/non-HT cases.
-//
-// The output results show that the presence of an 802.11b station strongly affects 802.11g
-// performance. Protection mechanisms ensure that the NAV value of 802.11b stations is set correctly
-// in case of 802.11g transmissions. In practice, those protection mechanism add a lot of overhead,
-// resulting in reduced performance. CTS-To-Self introduces less overhead than Rts-Cts, but is not
-// heard by hidden stations (and is thus generally only recommended as a protection mechanism for
-// access points). Since short slot time is disabled once an 802.11b station enters the network,
-// benefits from short slot time are only observed in a g only configuration.
-//
-// The user can also select the payload size and can choose either an UDP or a TCP connection.
-// Example: ./ns3 run "wifi-mixed-network --isUdp=1"
+/**
+ * @file
+ * @ingroup wifi
+ *
+ * This example shows how to configure mixed networks (i.e. mixed b/g and HT/non-HT) and how are
+ * performance in several scenarios.
+ *
+ * The example compares first g only and mixed b/g cases with various configurations depending on
+ * the following parameters:
+ * - protection mode that is configured on the AP;
+ * - whether short PPDU format is supported by the 802.11b station;
+ * - whether short slot time is supported by both the 802.11g station and the AP.
+ *
+ * The example then compares HT only and mixed HT/non-HT cases.
+ *
+ * The output results show that the presence of an 802.11b station strongly affects 802.11g
+ * performance. Protection mechanisms ensure that the NAV value of 802.11b stations is set correctly
+ * in case of 802.11g transmissions. In practice, those protection mechanism add a lot of overhead,
+ * resulting in reduced performance. CTS-To-Self introduces less overhead than Rts-Cts, but is not
+ * heard by hidden stations (and is thus generally only recommended as a protection mechanism for
+ * access points). Since short slot time is disabled once an 802.11b station enters the network,
+ * benefits from short slot time are only observed in a g only configuration.
+ *
+ * The user can also select the payload size and can choose either an UDP or a TCP connection.
+ *
+ * Example: `./ns3 run "wifi-mixed-network --isUdp=1"`
+ */
 
 using namespace ns3;
 
@@ -73,6 +79,11 @@
     Time simulationTime;           //!< Simulation time
 };
 
+/** Unnamed namespace, to disambiguate class Experiment. */
+namespace
+{
+
+/** Experiment runner, based on Parameters */
 class Experiment
 {
   public:
@@ -340,6 +351,8 @@
     return throughput;
 }
 
+} // unnamed namespace
+
 int
 main(int argc, char* argv[])
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/wifi-multirate.cc ns-3.47/examples/wireless/wifi-multirate.cc
--- ns-3.46/examples/wireless/wifi-multirate.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/wifi-multirate.cc	2026-02-16 16:08:49.563229800 -0800
@@ -25,10 +25,20 @@
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/yans-wifi-helper.h"
 
+/**
+ * @file
+ * @ingroup wifi
+ * WiFi multirate experiment.
+ */
+
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("multirate");
 
+/** Unnamed namespace, to disambiguate class Experiment. */
+namespace
+{
+
 /**
  * WiFi multirate experiment class.
  *
@@ -429,7 +439,7 @@
  * @param server Server node.
  * @return a string with the nodes data and positions
  */
-static inline std::string
+inline std::string
 PrintPosition(Ptr<Node> client, Ptr<Node> server)
 {
     Vector serverPos = server->GetObject<MobilityModel>()->GetPosition();
@@ -680,6 +690,8 @@
     return true;
 }
 
+} // unnamed namespace
+
 int
 main(int argc, char* argv[])
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/wifi-power-adaptation-distance.cc ns-3.47/examples/wireless/wifi-power-adaptation-distance.cc
--- ns-3.46/examples/wireless/wifi-power-adaptation-distance.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/wifi-power-adaptation-distance.cc	2026-02-16 16:08:49.563229800 -0800
@@ -456,7 +456,7 @@
     // Configure the AP node
     wifi.SetRemoteStationManager(manager,
                                  "DefaultTxPowerLevel",
-                                 UintegerValue(powerLevels - 1),
+                                 UintegerValue(WIFI_MIN_TX_PWR_LEVEL + powerLevels - 1),
                                  "RtsCtsThreshold",
                                  UintegerValue(rtsThreshold));
     wifiPhy.Set("TxPowerStart", DoubleValue(minPower));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/examples/wireless/wifi-simple-ht-hidden-stations.cc ns-3.47/examples/wireless/wifi-simple-ht-hidden-stations.cc
--- ns-3.46/examples/wireless/wifi-simple-ht-hidden-stations.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/examples/wireless/wifi-simple-ht-hidden-stations.cc	2026-02-16 16:08:49.564229700 -0800
@@ -54,9 +54,6 @@
     double minExpectedThroughput{0};
     double maxExpectedThroughput{0};
 
-    RngSeedManager::SetSeed(1);
-    RngSeedManager::SetRun(7);
-
     CommandLine cmd(__FILE__);
     cmd.AddValue("nMpdus", "Number of aggregated MPDUs", nMpdus);
     cmd.AddValue("payloadSize", "Payload size in bytes", payloadSize);
@@ -127,9 +124,12 @@
     Config::Set("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/BE_MaxAmpduSize",
                 UintegerValue(maxAmpduSize));
 
-    int64_t streamNumber = 20;
-    streamNumber += WifiHelper::AssignStreams(apDevice, streamNumber);
-    streamNumber += WifiHelper::AssignStreams(staDevices, streamNumber);
+    int64_t streamNumber = 1;
+    int64_t streamIncrement = 1000; // large enough to avoid overlap from AssignStreams calls
+    WifiHelper::AssignStreams(apDevice, streamNumber);
+    streamNumber += streamIncrement;
+    WifiHelper::AssignStreams(staDevices, streamNumber);
+    streamNumber += streamIncrement;
 
     // Setting mobility model
     MobilityHelper mobility;
@@ -152,8 +152,10 @@
     InternetStackHelper stack;
     stack.Install(wifiApNode);
     stack.Install(wifiStaNodes);
-    streamNumber += stack.AssignStreams(wifiApNode, streamNumber);
-    streamNumber += stack.AssignStreams(wifiStaNodes, streamNumber);
+    stack.AssignStreams(wifiApNode, streamNumber);
+    streamNumber += streamIncrement;
+    stack.AssignStreams(wifiStaNodes, streamNumber);
+    streamNumber += streamIncrement;
 
     Ipv4AddressHelper address;
     address.SetBase("192.168.1.0", "255.255.255.0");
@@ -168,7 +170,8 @@
     ApplicationContainer serverApp = server.Install(wifiApNode);
     serverApp.Start(Seconds(0));
     serverApp.Stop(simulationTime + Seconds(1));
-    streamNumber += server.AssignStreams(wifiApNode, streamNumber);
+    server.AssignStreams(wifiApNode, streamNumber);
+    streamNumber += streamIncrement;
 
     UdpClientHelper client(ApInterface.GetAddress(0), port);
     client.SetAttribute("MaxPackets", UintegerValue(4294967295U));
@@ -179,7 +182,8 @@
     ApplicationContainer clientApp1 = client.Install(wifiStaNodes);
     clientApp1.Start(Seconds(1));
     clientApp1.Stop(simulationTime + Seconds(1));
-    streamNumber += client.AssignStreams(wifiStaNodes, streamNumber);
+    client.AssignStreams(wifiStaNodes, streamNumber);
+    streamNumber += streamIncrement;
 
     phy.EnablePcap("SimpleHtHiddenStations_Ap", apDevice.Get(0));
     phy.EnablePcap("SimpleHtHiddenStations_Sta1", staDevices.Get(0));
